package com.goafanti.common.dao;

import com.goafanti.common.model.StandardDocument;
import com.goafanti.standard.bo.OutStandardDocument;

/**
* @author Administrator
* @description 针对表【standard_document(标准文档列表)】的数据库操作Mapper
* @createDate 2024-05-08 17:19:34
* @Entity com.goafanti.common.model.StandardDocument
*/
public interface StandardDocumentMapper {

    int deleteByPrimaryKey(Long id);

    int insert(StandardDocument record);

    int insertSelective(StandardDocument record);

    StandardDocument selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(StandardDocument record);

    int updateByPrimaryKey(StandardDocument record);

    OutStandardDocument selectDetailsById(Integer id);


    StandardDocument selectByNumber(StandardDocument in);
}
